Ошибки SAMS

После обновления системы с Debian 5 до Debian 6 в SAMS стали появляться ошибки. В частности вот такие:

Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /usr/share/sams/src/usersbuttom_4_percent.php on line 157

Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /usr/share/sams/src/userbuttom_4_time.php on line 174

Все это из за замены PHP с версии 5.2 на версию 5.3. Ошибки связанные с PHP по вылезали не только в SAMS, но так же были замечены проблемы со сброркой и работой eaccelerator-0.9.5, а другие, более новые версии как известно бесполезны. Как пишет создатель плагина SJ Object Cache: «Внимание: eAccelerator 0.9.6 не поддерживается, так как из него убрали функции кэширования пользовательских данных.»

В общем надо откатываться на PHP 5.2.

Смотрите так же:

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.